Reverse a deduct that was previously requested on a wallet.
KLV will not be sent for reversals.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The reference of the wallet to reverse a previous deduct |
| requestAmount | Integer | ✓ | The amount of the original deduct to be reversed | |
| narrative | String | 1-255 characters | ✓ | A description of the terminal where the card was used |
| transactionData | String | 0-2048 characters | ✓ | Extra information about the transaction in a KLV format |
| referenceID | String | 1-255 characters | ✓ | Transaction id of the original deduct to be reversed |
| referenceDate | Date | ✓ | Transaction date (in UTC) of the original deduct to be reversed | |
| transactionID | String | 1-255 characters | ✓ | Transaction id to identify the reversal message. Note that the Transaction id is not a unique value and may be duplicated over time |
| transactionDate | Date | ✓ | Transaction date (in UTC) to identify the reversal message | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>DeductReversal</methodName>
<params>
<param>
<value>
<string>0034048207</string>
</value>
</param>
<param>
<value>
<string>68263116</string>
</value>
</param>
<param>
<value>
<int>559</int>
</value>
</param>
<param>
<value>
<string>PAYPAL 4029357733 SGP</string>
</value>
</param>
<param>
<value>
<string>
</string>
</value>
</param>
<param>
<value>
<string>571156</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T01:52:15</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>2010206</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200824T03:52:22</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>D86B50F9FB658F5AB00A280BF52A40DAD7A3B89919D98ADABBC93FD42D5AF9E8</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>